Mailinglist Archive: opensuse-factory (1324 mails)

< Previous Next >
Re: [opensuse-factory] [Leap 42.1] Can not start YaST software module - partially solved.
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 2015-10-04 09:15, Olaf Hering wrote:
Am 03.10.2015 um 15:07 schrieb Carlos E. R.:
The remaining issue is the conflict list I posted on the last
mail. I will try a rpm verify on the entire system. Maybe I could
force a reinstall of every rpm somehow.

zypper in -h shows "--force". So something like that may work:

rpm -qa | xargs --verbose zypper -vv in --force


Yes, could do that.


For the moment I have done:

rpm --rebuilddb
rpm -Va '*'

which listed some missing files, and some with incorrect checksum. I
corrected all those. Then I did:

rpm -qa | sort

to find possible duplicates, and corrected them.

Zypper and yast appear not to find inconsistencies or things to
update, so the system seems good. I only have this remaining problem:

nothing provides appdata(nm-connection-editor.appdata.xml) needed by

application:NetworkManager-.noarch
application:Firefox-.noarch
application:Thunderbird-.noarch
application:Thunar File Manager-.noarch

The options are to remove those four packages (which it fails to do),
or to break them by ignoring their dependencies, which seems to work
for some time.

- --
Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 "Bottle" at Telcontar)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iEYEARECAAYFAlYRnkcACgkQtTMYHG2NR9V1PgCgjJGivAe7tL9Yk1PsSQskb6aq
3jUAnAuAvAaRRsKgRtxZ8thJzzQmREUl
=mZc/
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >